%define scl rh-python36
%{?scl:%scl_package %{name}}
%{!?scl:%global pkg_name %{name}}

%define name openshift
%define version 0.10.1
%define unmangled_version 0.10.1
%define unmangled_version 0.10.1
%define release 1

Summary: OpenShift python client
%{?scl:Requires: %{scl}-runtime}
%{?scl:BuildRequires: %{scl}-runtime}
Name: %{?scl_prefix}openshift
Version: %{version}
Release: %{release}
Source0: openshift-%{unmangled_version}.tar.gz
License: Apache License Version 2.0
Group: Development/Libraries
BuildRoot: %{_tmppath}/openshift-%{version}-%{release}-buildroot
Prefix: %{_prefix}
BuildArch: noarch
Vendor: OpenShift <UNKNOWN>
Packager: Martin Juhl <m@rtinjuhl.dk>
Url: https://github.com/openshift/openshift-restclient-python


%description
Python client for OpenShift http://openshift.redhat.com/


%prep
%{?scl:scl enable %{scl} - << \EOF}
set -ex
%setup -n openshift-%{unmangled_version} -n openshift-%{unmangled_version}
%{?scl:EOF}


%build
%{?scl:scl enable %{scl} - << \EOF}
set -ex
python3 setup.py build
%{?scl:EOF}


%install
%{?scl:scl enable %{scl} - << \EOF}
set -ex
python3 setup.py install --single-version-externally-managed -O1 --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES
%{?scl:EOF}


%clean
%{?scl:scl enable %{scl} - << \EOF}
set -ex
rm -rf $RPM_BUILD_ROOT
%{?scl:EOF}


%files -f INSTALLED_FILES
%defattr(-,root,root)
